org.eclipse.net4j.tcp

## Class TCPUtil.AcceptorData

- java.lang.Object
- - org.eclipse.net4j.tcp.TCPUtil.AcceptorData

- Enclosing class:
    TCPUtil

      public static final class TCPUtil.AcceptorData
      extends Object

  Encapsulates the data needed to configure a `TCP acceptor`.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AcceptorData()`
    `AcceptorData(ITCPAcceptor acceptor)`
    `AcceptorData(String description)`
    `AcceptorData(String address, int port)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getAddress()`
    `int` | `getPort()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AcceptorData

          public AcceptorData()

    - #### AcceptorData

          public AcceptorData(String address,
                              int port)

    - #### AcceptorData

          public AcceptorData(String description)

    - #### AcceptorData

          public AcceptorData(ITCPAcceptor acceptor)

  - ### Method Detail

    - #### getAddress

          public String getAddress()

    - #### getPort

          public int getPort()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html